org.apache.storm.cassandra.query

## Class ContextQuery.StaticContextQuery

- java.lang.Object
- - org.apache.storm.cassandra.query.ContextQuery.StaticContextQuery

- All Implemented Interfaces:
    Serializable, ContextQuery
  Enclosing interface:
    ContextQuery

      public static final class ContextQuery.StaticContextQuery
      extends Object
      implements ContextQuery

  Static implementation of `ContextQuery` interface.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.storm.cassandra.query.ContextQuery

      `ContextQuery.BoundQueryContext, ContextQuery.BoundQueryNamedByFieldContext, ContextQuery.StaticContextQuery`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticContextQuery(String value)` Creates a new `ContextQuery.StaticContextQuery` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `resolves(Map<String,Object> config, ITuple tuple)` Resolves a cassandra bound query.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticContextQuery

          public StaticContextQuery(String value)

      Creates a new `ContextQuery.StaticContextQuery` instance.

  - ### Method Detail

    - #### resolves

          public String resolves(Map<String,Object> config,
                                 ITuple tuple)

      Description copied from interface: `ContextQuery`

      Resolves a cassandra bound query.

      Specified by:
        `resolves` in interface `ContextQuery`
      Parameters:
        `config` - the storm configuration
        `tuple` - the tuple being proceed.
      Returns:
        a string bound query.

Copyright © 2021 The Apache Software Foundation. All rights reserved.